> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.wodup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List WOD training sessions



## OpenAPI

````yaml get /api/public/wods/{id}/training_sessions
openapi: 3.0.0
info:
  title: WodUp Public API
  version: '0.1'
servers:
  - description: Development / testing server
    url: https://api.wodup.dev
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/public/wods/{id}/training_sessions:
    get:
      tags:
        - results
      summary: List WOD training sessions
      operationId: WodUpWeb.PublicApi.ResultController.wod_training_sessions (2)
      parameters:
        - description: |
            **Only used by platform integrations**  
            ID of gym to execute on behalf of
          example: gym_123abc
          in: header
          name: wodup-gym
          required: false
          schema:
            type: string
        - description: ID of WOD to get training sessions for
          example: wod_123abc
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the default is 10.
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: integer
        - description: >-
            A cursor for use in pagination. `after_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `obj_foo`, your
            subsequent call can include `after_cursor=obj_foo` in order to fetch
            the next page of the list.
          example: s_abcdef
          in: query
          name: after_cursor
          required: false
          schema:
            type: string
        - description: >-
            A cursor for use in pagination. `before_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, starting with `obj_bar`, your
            subsequent call can include `before_cursor=obj_bar` in order to
            fetch the previous page of the list.
          example: s_abcdef
          in: query
          name: before_cursor
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWodTrainingSessionsResponse'
          description: ''
      callbacks: {}
components:
  schemas:
    ListWodTrainingSessionsResponse:
      example:
        - athlete:
            access: member
            added_at: '2001-01-01T00:00:00Z'
            email: jane@smith.com
            gender: female
            id: ath_123abc
            name: Jane Smith
            staff: null
          competition: null
          id: s_123abc
          results:
            - comments:
                - author:
                    id: ath_123abc
                    name: Jane Doe
                  can_modify: true
                  created_at: '2000-01-01T00:00:00Z'
                  id: c_123abc
                  replies: []
                  text: Great job!
              description: null
              details:
                rest:
                  type: as_needed
                sets:
                  - load: 6
                    load_unit: kg
                    movement_id: mv_fT0m3viH
                    reps: 5
              done_at: '2001-01-01T12:00:00.000000Z'
              id: r_123abc
              movements:
                - complex_details: null
                  description: null
                  has_calories: false
                  has_distance: false
                  has_duration: false
                  has_height: false
                  has_load: true
                  has_power: false
                  has_reps: true
                  id: mv_fT0m3viH
                  name: Back Squat
                  source: wodup
                  video:
                    id: dQw4w9WgXcQ
                    service: youtube
              notes: null
              perceived_exertion: 0
              prescribed_workout:
                description: Back Squat 5 reps
                details:
                  movements:
                    - id: mv_fT0m3viH
                      load: null
                      reps: '5'
                  rest:
                    type: as_needed
                  type: Strength
                movements:
                  - complex_details: null
                    description: null
                    has_calories: false
                    has_distance: false
                    has_duration: false
                    has_height: false
                    has_load: true
                    has_power: false
                    has_reps: true
                    id: mv_fT0m3viH
                    name: Back Squat
                    source: wodup
                    video:
                      id: dQw4w9WgXcQ
                      service: youtube
                name: null
                type: Strength
              scaled_workout: null
              scaling: rx
              status: completed
              type: StrengthResult
              wod_component_id: wc_123abc
      items:
        $ref: '#/components/schemas/WodTrainingSession'
      title: ListWodTrainingSessionsResponse
      type: array
    WodTrainingSession:
      description: Training Session object
      example:
        athlete:
          access: member
          added_at: '2001-01-01T00:00:00Z'
          email: jane@smith.com
          gender: female
          id: ath_123abc
          name: Jane Smith
          staff: null
        competition: null
        id: s_123abc
        results:
          - comments:
              - author:
                  id: ath_123abc
                  name: Jane Doe
                can_modify: true
                created_at: '2000-01-01T00:00:00Z'
                id: c_123abc
                replies: []
                text: Great job!
            description: null
            details:
              rest:
                type: as_needed
              sets:
                - load: 6
                  load_unit: kg
                  movement_id: mv_fT0m3viH
                  reps: 5
            done_at: '2001-01-01T12:00:00.000000Z'
            id: r_123abc
            movements:
              - complex_details: null
                description: null
                has_calories: false
                has_distance: false
                has_duration: false
                has_height: false
                has_load: true
                has_power: false
                has_reps: true
                id: mv_fT0m3viH
                name: Back Squat
                source: wodup
                video:
                  id: dQw4w9WgXcQ
                  service: youtube
            notes: null
            perceived_exertion: 0
            prescribed_workout:
              description: Back Squat 5 reps
              details:
                movements:
                  - id: mv_fT0m3viH
                    load: null
                    reps: '5'
                rest:
                  type: as_needed
                type: Strength
              movements:
                - complex_details: null
                  description: null
                  has_calories: false
                  has_distance: false
                  has_duration: false
                  has_height: false
                  has_load: true
                  has_power: false
                  has_reps: true
                  id: mv_fT0m3viH
                  name: Back Squat
                  source: wodup
                  video:
                    id: dQw4w9WgXcQ
                    service: youtube
              name: null
              type: Strength
            scaled_workout: null
            scaling: rx
            status: completed
            type: StrengthResult
            wod_component_id: wc_123abc
      properties:
        athlete:
          description: Athlete for this training session
          type: object
        competition:
          description: Competition for this training session
          type: object
        id:
          description: Training Session ID
          type: string
        results:
          description: Results in this training session
          items:
            $ref: '#/components/schemas/Result'
          type: array
      required:
        - id
        - results
        - athlete
      title: WodTrainingSession
      type: object
    Result:
      description: Result object
      example:
        comments:
          - author:
              id: ath_123abc
              name: Jane Doe
            can_modify: true
            created_at: '2000-01-01T00:00:00Z'
            id: c_123abc
            replies: []
            text: Great job!
        description: null
        details:
          rest:
            type: as_needed
          sets:
            - load: 6
              load_unit: kg
              movement_id: mv_fT0m3viH
              reps: 5
        done_at: '2001-01-01T12:00:00.000000Z'
        id: r_123abc
        movements:
          - complex_details: null
            description: null
            has_calories: false
            has_distance: false
            has_duration: false
            has_height: false
            has_load: true
            has_power: false
            has_reps: true
            id: mv_fT0m3viH
            name: Back Squat
            source: wodup
            video:
              id: dQw4w9WgXcQ
              service: youtube
        notes: null
        perceived_exertion: 0
        prescribed_workout:
          description: Back Squat 5 reps
          details:
            movements:
              - id: mv_fT0m3viH
                load: null
                reps: '5'
            rest:
              type: as_needed
            type: Strength
          movements:
            - complex_details: null
              description: null
              has_calories: false
              has_distance: false
              has_duration: false
              has_height: false
              has_load: true
              has_power: false
              has_reps: true
              id: mv_fT0m3viH
              name: Back Squat
              source: wodup
              video:
                id: dQw4w9WgXcQ
                service: youtube
          name: null
          type: Strength
        scaled_workout: null
        scaling: rx
        status: completed
        type: StrengthResult
        wod_component_id: null
      properties:
        comments:
          description: Comments on this result
          items:
            $ref: '#/components/schemas/Comment'
          type: array
        description:
          description: A short description of the result
          type: string
        details:
          description: TBD
          format: json
          type: string
        done_at:
          description: When the result was done.
          format: timestampz
          type: string
        id:
          description: Result ID
          type: string
        movements:
          description: Movement objects referenced by this result
          items:
            $ref: '#/components/schemas/Movement'
          type: array
        notes:
          description: Athlete notes
          type: string
        perceived_exertion:
          description: From 1-5. 0 means no entry.
          type: string
        prescribed_workout:
          description: Workout object
          example:
            description: Back Squat 5 reps
            details:
              movements:
                - id: mv_fT0m3viH
                  load: null
                  reps: '5'
              rest:
                type: as_needed
              type: Strength
            movements:
              - complex_details: null
                description: null
                has_calories: false
                has_distance: false
                has_duration: false
                has_height: false
                has_load: true
                has_power: false
                has_reps: true
                id: mv_fT0m3viH
                name: Back Squat
                source: wodup
                video:
                  id: dQw4w9WgXcQ
                  service: youtube
            name: null
            type: Strength
          properties:
            description:
              description: A human readable description of the workout
              type: string
            details:
              description: '[View details](./types)'
              format: json
              type: string
            movements:
              description: Movement objects referenced by this workout
              items:
                $ref: '#/components/schemas/Movement'
              type: array
            name:
              description: An official name for the workout
              type: string
            type:
              description: Workout type
              enum:
                - Amrap
                - Cardio
                - CardioIntervals
                - DeathBy
                - Emom
                - Fgb
                - ForTime
                - FranStyle
                - Generic
                - MaxReps
                - RoundsForTime
                - Strength
                - Tabata
                - TwelveDays
                - WarmUp
              type: string
          required:
            - type
            - description
            - details
            - movements
          title: Workout
          type: object
        scaled_workout:
          description: Workout object
          example:
            description: Back Squat 5 reps
            details:
              movements:
                - id: mv_fT0m3viH
                  load: null
                  reps: '5'
              rest:
                type: as_needed
              type: Strength
            movements:
              - complex_details: null
                description: null
                has_calories: false
                has_distance: false
                has_duration: false
                has_height: false
                has_load: true
                has_power: false
                has_reps: true
                id: mv_fT0m3viH
                name: Back Squat
                source: wodup
                video:
                  id: dQw4w9WgXcQ
                  service: youtube
            name: null
            type: Strength
          properties:
            description:
              description: A human readable description of the workout
              type: string
            details:
              description: '[View details](./types)'
              format: json
              type: string
            movements:
              description: Movement objects referenced by this workout
              items:
                $ref: '#/components/schemas/Movement'
              type: array
            name:
              description: An official name for the workout
              type: string
            type:
              description: Workout type
              enum:
                - Amrap
                - Cardio
                - CardioIntervals
                - DeathBy
                - Emom
                - Fgb
                - ForTime
                - FranStyle
                - Generic
                - MaxReps
                - RoundsForTime
                - Strength
                - Tabata
                - TwelveDays
                - WarmUp
              type: string
          required:
            - type
            - description
            - details
            - movements
          title: Workout
          type: object
        scaling:
          description: Whether the workout was scaled
          enum:
            - rx
            - rxplus
            - scaled
            - modified
          type: string
        status:
          description: Has the result been completed
          enum:
            - completed
            - cap
            - dnf
            - dns
          type: string
        type:
          description: Result type
          enum:
            - AmrapResult
            - CardioResult
            - CardioIntervalsResult
            - DeathByResult
            - EmomResult
            - FgbResult
            - ForTimeResult
            - FranStyleResult
            - GenericResult
            - MaxRepsResult
            - RoundsForTimeResult
            - StrengthResult
            - TabataResult
            - TwelveDaysResult
            - WarmUpResult
          type: string
        wod_component_id:
          description: WOD Component ID if this result belongs to a WOD
          type: string
      required:
        - id
        - type
        - status
        - scaling
        - description
        - done_at
        - perceived_exertion
        - details
        - movements
        - prescribed_workout
        - comments
      title: Result
      type: object
    Comment:
      example:
        author:
          id: ath_123abc
          name: Jane Doe
        can_modify: true
        created_at: '2000-01-01T00:00:00Z'
        id: c_123abc
        replies: []
        text: Great job!
      properties:
        author:
          description: Can be null if comment has been deleted
          example:
            id: ath_123abc
            name: Jane Doe
          properties:
            id:
              description: >-
                ID of author. Can be null if author is not associated with your
                gym.
              type: string
            name:
              description: Author name
              type: string
          required:
            - name
          title: CommentAuthor
          type: object
        can_modify:
          description: Whether the comment can be edited or deleted by your API key.
          type: boolean
        created_at:
          description: Date comment created. ISO8601 timestamp in UTC
          format: timestamptz
          type: string
        id:
          description: Comment ID
          type: string
        text:
          description: Comment text
          type: string
      required:
        - id
        - created_at
        - replies
        - can_modify
      title: Comment
      type: object
    Movement:
      description: Movement object
      properties:
        complex_details:
          description: Movements in this complex
          items:
            properties:
              movement_id:
                description: Movement id
                type: string
              reps:
                description: Number of reps to perform
                type: integer
            required:
              - movement_id
              - reps
            type: object
          type: array
        description:
          description: Movement instructions / description
          type: string
        has_calories:
          description: Does this movement involve calories. E.g. Row
          type: boolean
        has_distance:
          description: Does this movement involve distance. E.g. Row
          type: boolean
        has_duration:
          description: Does this movement involve duration. E.g. Row or Weighted Plank Hold
          type: boolean
        has_height:
          description: Does this movement involve height. E.g. Box Jumps
          type: boolean
        has_load:
          description: >-
            Does this movement involve load. E.g. Back Squat or Weighted Plank
            Hold
          type: boolean
        has_power:
          description: Does this movement involve power. E.g. Row
          type: boolean
        has_reps:
          description: Does this movement involve reps. E.g. Push-Up or Back Squat
          type: boolean
        id:
          description: Movement ID
          type: string
        name:
          description: Movement name
          type: string
        source:
          description: >-
            Whether this movement is from the global WodUp library or a custom
            movement
          enum:
            - wodup
            - custom
          type: string
        video:
          properties:
            id:
              description: Video id
              type: string
            service:
              description: Video service
              enum:
                - vimeo
                - youtube
              type: string
          required:
            - id
            - service
          type: object
      title: Movement
      type: object
  securitySchemes:
    authorization:
      scheme: basic
      type: http

````